• This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn more.

Solved Pkg broken after upgrade to 10.0.4 on aarch64 (RPI)

Spartrekus

Member

Thanks: 7
Messages: 73

#26
I don't know what mistake you're doing but upstream pkg doesn't have the libarchive.so.6 dependency (it's libarchive.so.7)
Are you still setting the ABI to FreeBSD:11:aarch64?

To fix your problem, execute the following:

fetch http://pkg.freebsd.org/FreeBSD:12:aarch64/latest/Latest/pkg.txz
pkg-static add -f pkg.txz
This is hopeless.

RPI 3 is not made for FreeBSD. Tier 2, there is a meaning.

Thank you anyhow